Bug 11682

Summary: Gdk port needs to be updated
Product: WebKit Reporter: Alp Toker <alp>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ddkilzer, ross
Priority: P2    
Version: 420+   
Hardware: All   
OS: Linux   
Attachments:
Description Flags
Make the Gdk port build and run
none
Make the Gdk port build and run -- revised
none
Latest revision
none
Updated for 20070110
none
Another patch none

Description Alp Toker 2006-11-22 19:34:33 PST
The Gdk port has fallen out of sync with WebKit. The attached patch (against TOT) adds no new features but adds stubs and code needed to build and run gdklauncher. It borrows liberally from the Qt port.
Comment 1 Alp Toker 2006-11-22 19:36:18 PST
Created attachment 11617 [details]
Make the Gdk port build and run
Comment 2 Alp Toker 2006-11-25 09:35:50 PST
It's come to my attention that my patch contains a few leftover blocks of commented-out code, and a little bad formatting.

Before I update the patch, I have a few questions:

1) Is it correct to remove the userAgent() function from FrameGdk following the recent refactoring in the core, or is this area still being refactored and the requirements uncertain?

2) There is currently one workaround in the patch which I'd like to remove.
I had to make m_client in FrameGdk public and assign its value as "new FrameGdkClientDefault()" in main.cpp even though the FrameGdk constructor already does this. If I don't set it outside the constructor, frame->client()->openURL(url) in main.cpp segfaults. Any idea why the work done in the constructor is not sufficient and I have to do it again in main.cpp for gdklauncher to work?

If there is no certain answer to these issues, I'll update the patch regardless in a couple of days and request review, as there are further changes lined up that are being blocked by this one.
Comment 3 Alp Toker 2006-11-26 20:33:29 PST
Created attachment 11638 [details]
Make the Gdk port build and run -- revised

This cleans up the formatting issues.
Comment 4 Alp Toker 2006-11-29 10:47:26 PST
I'll soon update this patch to avoid including gtk.h and track the API changes that have happened in the last few days. Feel free to review further or anwser the questions, but avoid checking in.
Comment 5 Alp Toker 2006-12-04 18:46:38 PST
Created attachment 11732 [details]
Latest revision

This is updated to make current TOT build and run. It may contain comments or style issues -- I haven't had the time to review it. However, I've noticed that there is another patch by Mike (#11332) which needs to be merged with this one -- it has important network changes in particular. If #11332 had been merged earlier, these patches would not be conflicting now.

The correct way to go is really a combination of the two patches, but I may not have time to sort that out any time soon. Takers?
Comment 6 Ross Burton 2007-01-10 12:35:21 PST
Created attachment 12350 [details]
Updated for 20070110

This is a revision of the previous patch, updated to apply against WebCore svn as of 20070110.
Comment 7 Ross Burton 2007-01-11 13:03:58 PST
Created attachment 12369 [details]
Another patch

This is another patch that chops more bits out and actually links.  I've no idea if it actually works as I haven't built anything to test it in yet, but I don't want to misplace the changes.
Comment 8 Alp Toker 2007-07-02 17:48:57 PDT
The gdk port has become well maintained in the time since these patches were written and they are now obsolete.